Q100161: What versions of Nuke can you install and run?

Follow

SUMMARY

You have an unexpired Nuke, NukeX, Nuke Studio, and/or a Nuke Assist license, and you want to know what versions of Nuke can you install and run.

There is a version-limiter in your license that allows you to run every version of Nuke built on or before that date, all the way back to Nuke7.0v1.  Before Nuke7.0v1, a different type of licensing was used.

Trying to run a version of Nuke later than the license supports will result in license errors:

"Wrong product version, this license is for an older version."

"Requested version not supported"

You can install as many Nuke versions on a machine as disk space allows. Each Nuke version installs independently of other installed versions, in its own version-named subdirectory.

There is only one Nuke installer. The way in which Nuke is launched and the available license(s) determine what you can run, whether it be Nuke, NukeX, Nuke Studio, Nuke Assist, or Nuke Non-commercial. 

MORE INFORMATION

Your license file is plain text, it has a file extension .lic, and the first half of a license key is human-readable, so you can tell what the license can provide.

The Foundry uses these license file directories to store the .lic file:

on Mac:
/Library/Application Support/TheFoundry/RLM/

on Linux:
/usr/local/foundry/RLM/

on Windows:
C:\Program Files\The Foundry\RLM\
C:\ProgramData\The Foundry\RLM\
C:\Program Files (x86)\The Foundry\RLM\

The following license features are required, depending on how you launch Nuke:

Nuke: nuke_i
NukeX: nuke_i , nukex_i
Nuke Studio: nuke_i , nukex_i, nukestudio_i
Nuke Assist: nukexassist_i
Nuke render-only: nuke_r

The first line in a key block starts with the word LICENSE in upper case letters. Next on that line is the word 'foundry', followed by the feature name (e.g. nuke_i) and then a version-limiter, then either an expiration date or the word 'permanent' and finally a count of how many seats that license allows to run. Here is an example:

LICENSE foundry nuke_i 2015.1206 permanent uncounted
hostid=086346e404dd share=h min_timeout=30 start=3-dec-2015
issuer=website contract=V1:2de6281c-12e2-4221-84f4-0dc56afb1d88
issued=3-dec-2015 disable=VM _ck=c66c3501fb sig="60P045226BU8XBY1KD
TRN5JKAVUE1G83W766WH822GFED20K4N2W2HMPJWXFHAK2U3T5GE5DYV"

The version-limiter has the format

YYYY.MMDD

and in the above example, you see that the 2015.1206, or 06-December 2015 is the version-limiter.

This means that the license above allows the user to run Nuke versions built on or before 06-December 2015, as far back as Nuke7.0v1.

Here is a list that shows the dates of all of the Nuke versions released as of the date of this article:

7.0v1 - 29 November 2012
7.0v2 - 13 December 2012
7.0v3 - 16 January 2013
7.0v4 - 22 January 2013
7.0v5 - 07 March 2013
7.0v6 - 8 April 2013
7.0v7 - 5 June 2013
7.0v8 - 11 June 2013
7.0v9 - 19 September 2013
7.0v10 - 20th December 2013
8.0v1 - 5th December 2013
8.0v2 - 29th January 2014
8.0v3 - 12th February 2014
8.0v4 - 2nd April 2014
8.0v5 - 5th June 2014
8.0v6 - 11th September 2014
8.0v7 - 4th April 2015
9.0v1 - 16th November 2014
9.0v2 - 10th December 2014
9.0v3 - 17th December 2014
9.0v4 - 2nd February 2015
9.0v5 - 10th April 2015
9.0v6 - 27th May 2015
9.0v7 - 17th August 2015
9.0v8 - 26th October 2015
9.0v9 - 7th July 2016
10.0v1 - 23rd April 2016
10.0v2 - 27th May 2016
10.0v3 - 27th June 2016
10.0v4 - 18th August 2016

You can find the Nuke installer for the latest versions by clicking the "Product Downloads" link on the Nuke Product page of our website. For older versions, please submit a request to support@thefoundry.co.uk.  

 

 

 

 

Was this article helpful?
0 out of 0 found this helpful